Skip to main content
GET
Get an Instagram post (live)

Authorizations

Authorization
string
header
required

XPOZ API access key, created from the dashboard or POST /api/tokens. Send as Authorization: Bearer <access key>.

Path Parameters

id
string
required

Instagram post shortcode (e.g. DdaSlMIgeTm, as in instagram.com/p/DdaSlMIgeTm) or strong ID in media_id_user_id format (e.g. 3606450040306139062_4836333238).

Pattern: ^[A-Za-z0-9_-]+$

Query Parameters

fields
enum<string>[]

Instagram post fields to return. Comma-separated. Allowed values: id, postType, userId, username, fullName, caption, mediaType, codeUrl, imageUrl, videoUrl, audioOnlyUrl, profilePicUrl, videoSubtitlesUri, subtitles, likeCount, commentCount, reshareCount, mediaRepostCount, saveCount, videoPlayCount, videoDuration, createdAt, createdAtTimestamp, createdAtDate, location, genAiChatWithAiCtaInfo, hasHighRiskGenAiInformTreatment.

Available options:
id,
postType,
userId,
username,
fullName,
caption,
mediaType,
codeUrl,
imageUrl,
videoUrl,
audioOnlyUrl,
profilePicUrl,
videoSubtitlesUri,
subtitles,
likeCount,
commentCount,
reshareCount,
mediaRepostCount,
saveCount,
videoPlayCount,
videoDuration,
createdAt,
createdAtTimestamp,
createdAtDate,
location,
genAiChatWithAiCtaInfo,
hasHighRiskGenAiInformTreatment

Response

One page of results.

Envelope for on-demand /live endpoints: one provider page plus a cursor.

results
object[]
required
count
integer
required
dataSource
enum<string>
required

Where the results came from.

Available options:
database,
api,
hybrid
has_more
boolean
required
next_page_cursor
string | null
required